Summary: GNOME Accessibility method
Name: dasher
Version: 4.0.2
Release: 1.fc5.1
License: GPL
Group: Desktop/Accessibility
URL: http://www.gnome.org/
Source0: %{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-speech-devel
BuildRequires: at-spi-devel
BuildRequires: libgnomeui-devel
BuildRequires: desktop-file-utils
BuildRequires: expat-devel
BuildRequires: scrollkeeper
BuildRequires: libwnck-devel >= 2.9.92
BuildRequires: libXtst-devel

Prereq:   scrollkeeper >= 0.1.4
Requires: gnome-speech

%description
Accessibility input method
 
%prep
%setup -q

%build

%configure

make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/schemas/
install -m 644 Data/dasher.schemas $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/schemas/

unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category Utility	                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/dasher.desktop

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%post
/usr/bin/scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="dasher.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%postun
/usr/bin/scrollkeeper-update
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc
%{_datadir}/dasher/
%{_datadir}/gnome/help/dasher
%{_datadir}/icons/hicolor/48x48/apps
%{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/omf/dasher/*
%{_datadir}/applications/gnome-dasher.desktop
%{_bindir}/dasher
%{_mandir}/*/dasher.1.gz
%{_sysconfdir}/gconf/schemas/dasher.schemas

%changelog
* Tue Apr  4 2006 Matthias Clasen <mclasen@redhat.com> - 4.0.2-1.fc5.1
- Update to 4.0.2

* Mon Mar 13 2006 Ray Strode <rstrode@redhat.com> - 4.0.0-1
- Update to 4.0.0

* Sun Feb 26 2006 Matthias Clasen <mclasen@redhat.com> - 3.99.5-1
- Update to 3.99.5

* Fri Feb 24 2006 Matthias Clasen <mclasen@redhat.com> 3.99.4-3
- Prereq: scrollkeeper

* Mon Feb 20 2006 Karsten Hopp <karsten@redhat.de> 3.99.4-2
- BuildRequires: libXtst-devel

* Sun Feb 12 2006 Matthias Clasen <mclasen@redhat.com> - 3.99.4-1
- Update to 3.99.4

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.99.2-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.99.2-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Ray Strode <rstrode@redhat.com> 3.99.2-2
- make compile

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com>
- Update to 3.99.2

* Mon Jan 16 2006 Matthias Clasen <mclasen@redhat.com>
- Update to 3.99.1

* Sun Dec 11 2005 Matthias Clasen <mclasen@redhat.com>
- Add -Wl,--export-dynamic,
- Make compile with gcc 4.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 18 2005 Bill Nottingham <notting@redhat.com>
- fix references to /usr/X11R6

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> 
- Update to 3.2.18

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 
- Rebuilt

* Wed Aug 10 2005 <mclasen@redhat.com> 3.2.15-3
- Rebuild

* Tue Jul 12 2005 <mclasen@redhat.com> 3.2.15-2
- Rebuild

* Mon Mar 14 2005 <mclasen@redhat.com> 3.2.15-1
- Update to 3.2.15
- Require a new enough libwnck

* Wed Mar  2 2005 <mclasen@redhat.com> 3.2.13-2
- Rebuilt with gcc4

* Fri Feb  4 2005 <mclasen@redhat.com> 3.2.13-1
- Update to 3.2.13

* Fri Jan 28 2005 <mclasen@redhat.com> 3.2.12-1
- Update to 3.2.12

* Wed Nov  3 2004  <jrb@redhat.com> - 3.2.11-5
- add BuildRequires, #134956

* Mon Oct  4 2004 GNOME <jrb@redhat.com> - 3.2.11-4
- install schemas file by hand

* Wed Sep 22 2004 Bill Nottingham <notting@redhat.com>
- fix typo (#133058)

* Tue Sep 14 2004 GNOME <jrb@redhat.com> - 3.2.11-3
- fix schemas file and crasher.

* Tue Aug 31 2004 Jonathan Blandford <jrb@redhat.com> 3.2.11-2
- add lib64 to search libs.

* Mon Aug 30 2004 Jonathan Blandford <jrb@redhat.com> 
- Initial build.


